Skip to main content
GET
/
v1
/
membership_price_groups
List membership price groups
curl --request GET \
  --url https://incoming.qomon.app/v1/membership_price_groups \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "hidden": true,
      "id": 1,
      "name": "<string>",
      "updated_at": "2023-11-07T05:31:56Z",
      "membership_prices": [
        {
          "allow_custom_amount": true,
          "amount": 1,
          "created_at": "2023-11-07T05:31:56Z",
          "currency": "<string>",
          "hidden": true,
          "id": 1,
          "membership_price_group_id": 1,
          "name": "<string>",
          "updated_at": "2023-11-07T05:31:56Z",
          "duration": "<string>",
          "kind": "<string>",
          "rolling_period": "<string>"
        }
      ]
    }
  ],
  "status": "<string>",
  "total": 123
}

Authorizations

Authorization
string
header
required

OAuth2 access token. Pass the token in the Authorization header as Bearer <token>. The token is looked up in Redis to resolve the caller identity.

Query Parameters

limit
integer<int64>
default:20

Maximum number of items to return.

Required range: 1 <= x <= 1000
offset
integer<int64>
default:0

Number of items to skip.

Required range: x >= 0

Response

OK

data
object[] | null
required
status
string
required

Operation result.

Example:

"success"

total
integer<int64>
required

Total number of matching items.

Last modified on June 16, 2026